auction/list
GET
/auction/listList recent auctions matching the requested filters. Requires the auctions:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auction/list?start_time=1712448000&end_time=1712534399" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Query parameters
| Name | Type | Description |
|---|---|---|
start_timerequired | integer<int64> | Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC. |
end_timerequired | integer<int64> | End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC. |
test_mode | string | Traffic mode to include. Defaults to production traffic. Allowed values: production, test, all. |
app_bundle | string | App bundle identifier filter. |
ad_unit_id | string | Ad unit ID filter. |
country | string | ISO 3166-1 alpha-2 country code filter. |
device_os | string | Device operating system filter. Allowed values: iOS, Android. |
limit | integer<int32> | Maximum number of rows to return. |
has_ilrd | boolean | Filter to auctions that have CloudX ILRD. |
has_external_ilrd | boolean | Filter to auctions that have external ILRD. |
mediator | string | Mediation platform filter. Allowed values: applovin, admob, levelplay. |
Responses
Matching auctions.
{
"auctions": [
{
"auction_id": "<string>",
"account_id": "<string>",
"event_time": "<string>",
"app_bundle": "<string>",
"app_name": "<string>",
"ad_unit_id": "<string>",
"imp_count": 123,
"device_os": "<string>",
"device_country": "<string>",
"sdk_version": "<string>",
"test_mode": true,
"status": 123,
"priority": 123,
"has_winner": true,
"winner_bidder": "<string>",
"winner_price_cpm": 12.34,
"bidder_count": 123,
"bid_count": 123,
"nonbid_count": 123,
"auction_duration_ms": 123,
"error": "<string>",
"ab_test_id": "<string>",
"ab_test_variant": "<string>",
"inserted_at": "<string>",
"has_ilrd": true,
"has_external_ilrd": true,
"external_ilrd_count": 123,
"external_revenue": 12.34,
"external_mediators": [
"<string>"
]
}
]
}200 Matching auctions.
| Field | Type | Description |
|---|---|---|
auctionsrequired | array of object |
400 Invalid request parameters.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |